Network Tokens
Get payment-data
List all payment-data bundles created for this Commerce Token.
GET
/
tokens
/
{id}
/
payment-data
Get payment-data
curl --request GET \
--url https://sandbox.hellgate.io/tokens/{id}/payment-data \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.hellgate.io/tokens/{id}/payment-data"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.hellgate.io/tokens/{id}/payment-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "8f4b2d6e-1a9c-4c7e-b3d5-6e2a8c4f9b1d",
"amount": 700,
"currency_code": "EUR",
"merchant_id": "5d6b2c9a-9b0b-4b0c-8c7d-9e9d5d7e9d5d",
"reference": "order-1234567890",
"success": true,
"token_id": "2b7c4d9e-1a58-4f6b-8c3d-7e2f9a4b6c8d",
"created_at": "2026-06-01T10:00:00Z",
"encrypted_authentication_data": "eyJhbGciOiJSU0EtT0FFUC0yNTYiLCJlbmMiOiJBMjU2R0NNIn0...",
"failure_details": [
{
"classifier": "destination_error",
"scheme_code": "05",
"message": "The processor declined the transaction"
}
]
}
],
"pagination": {
"current_page": 1,
"page_size": 1,
"total_items": 1,
"total_pages": 1
}
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}{
"code": 404,
"message": "The requested resource was not found.",
"classifier": "NOT_FOUND"
}Gated Feature
Authorizations
Path Parameters
The ID of the Commerce token
Query Parameters
The desired amount of records per page. The parameter defaults to 50 if it is omitted and has a maximum of 500.
Required range:
1 <= x <= 500The desired number of the page to return.
Required range:
x >= 1It allows sorting the result by created_at. e.g sort=created_at+asc or sort=created_at+desc
⌘I
Get payment-data
